<template>
  <!-- 分配任务 -->
  <div class="height_100">
    <allocationTask :projectId="projectId" :oldSearchOption="searchOption" :groupField="groupField" :customFields="customFields" :projectType="projectType"></allocationTask>
  </div>
</template>

<script>
import allocationTask from './components/allocationTask.vue'
export default {
  components: {
    allocationTask
  },
  data() {
    return {

    }
  },
  computed: {
    projectId() {
      return this.$route.query.projectId
    },
    searchOption() {//检索条件
      // if(this.$route.query.searchOption){
      //   return JSON.parse(this.$route.query.searchOption)
      // }
      // return ''
      return this.$route.query.searchOption
    },
    groupField(){
      return this.$route.query.groupField
    },
    customFields() {//自定义字段检索条件
      if(this.$route.query.customFields){
        return JSON.parse(this.$route.query.customFields)
      }
      return []
    },
    projectType(){//项目类型
      return this.$route.query.projectType
    }
  },
  mounted() {

  },
  methods: {

  },
}
</script>

<style lang="scss" scoped></style>